Index: trunk/source/Lib/TLibRenderer/TRenFilter.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenFilter.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenFilter.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenFilter.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenFilter.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenFilter.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenImage.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenImage.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenImage.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenImage.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenImage.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenImage.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenImagePlane.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenImagePlane.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenImagePlane.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenImagePlane.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenImagePlane.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenImagePlane.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
Index: trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenModSetupStrParser.h	(revision 5)
@@ -1,4 +1,34 @@
-
-
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
 
 #ifndef __TRENMODSETUPSTRPARSER__
@@ -95,3 +125,4 @@
   Void xGetNextChar       ( Char& rcNextChar );
 };
+
 #endif //__TRENMODEL__
Index: trunk/source/Lib/TLibRenderer/TRenModel.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenModel.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
@@ -614,26 +647,2 @@
   TRenFilter::sampleDown2Tap13( ppiSrcVideoPel[2], piStrides[2], m_iWidth, m_iHeight, rpcPicYuvTarget->getCrAddr  (), rpcPicYuvTarget->getCStride() );
 }
-
-#if GERHARD_RM_DEBUG_MM
-Bool
-TRenModel::compareAll( TRenModel* pcModel )
-{
-  Bool bEqual = true;
-  for (Int iCurModel = 0; iCurModel < m_iNumOfRenModels; iCurModel++)
-  {
-    bEqual = bEqual &&  m_apcRenModels[iCurModel]->compare( pcModel->m_apcRenModels[iCurModel]  );
-  }
-  return bEqual;
-}
-
-Bool
-TRenModel::compare( TRenModel* pcModel )
-{
-  Bool bEqual = true;
-  for (Int iCurModel = 0; iCurModel < m_iNumOfCurRenModels; iCurModel++)
-  {
-    bEqual = bEqual &&  m_apcCurRenModels[iCurModel]->compare( pcModel->m_apcCurRenModels[iCurModel]  );
-  }
-  return bEqual;
-}
-#endif
Index: trunk/source/Lib/TLibRenderer/TRenModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenModel.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
@@ -40,12 +73,5 @@
   Void  getTotalSSE      (Int64& riSSEY, Int64& riSSEU, Int64& riSSEV );
 
-#if GERHARD_RM_DEBUG_MM
-  Bool  compareAll       ( TRenModel* pcModel);
-  Bool  compare          ( TRenModel* pcModel);
-public:
-#else
 private:
-#endif
-
   // helpers
   Void xSetLRViewAndAddModel( Int iModelNum, Int iBaseViewNum, Int iContent, Int iViewPos, Bool bAdd );
Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 #include "TRenImage.h"
@@ -451,17 +484,7 @@
       if ( iCurSPos < iMinChangedSPos )
       {
-#if GERHARD_RM_HOLE_EXT
-        if ( (iCurSPos > 0) && (m_apiFilledRow[m_iCurViewPos][ iCurSPos-1 ] != REN_IS_FILLED) || (iCurSPos > 1) && (m_apiFilledRow[m_iCurViewPos][ iCurSPos-2 ] != REN_IS_FILLED) )
-        {
-          iMinChangedSPos = iMinChangedSPos - m_iHoleMargin - 2;
-        }
-        else
-        {
           break;
         }
-#else
-        break;
-#endif
-      }
+
       iCurPosX--;
       iLastSPos    = iCurSPos;
@@ -554,17 +577,6 @@
       if ( iCurSPos > iMaxChangedSPos )
       {
-#if GERHARD_RM_HOLE_EXT
-        if ( (iCurSPos > 0) && (m_apiFilledRow[m_iCurViewPos][ iCurSPos-1 ] != REN_IS_FILLED) || (iCurSPos > 1) && (m_apiFilledRow[m_iCurViewPos][ iCurSPos-2 ] != REN_IS_FILLED) )
-        {
-          iMaxChangedSPos = iMaxChangedSPos - m_iHoleMargin - 2;
-        }
-        else
-        {
           break;
         }
-#else
-        break;
-#endif
-      }
       iCurPosX++;
       iLastSPos    = iCurSPos;
@@ -584,10 +596,4 @@
   Int iCurPosX           = iEndChangePos;
 
-#if GERHARD_RM_HOLE_EXT
-  Int iEndFillSPos = iLastSPos + m_iHoleMargin;
-  while ( (iCurPosX + 1 < m_iWidth) &&  ( xShift(iCurPosX + 1) <= iEndFillSPos) && !(m_apbOccludedRow[m_iCurViewPos][ iCurPosX + 1] ) )
-    iCurPosX++;
-#endif
-
   if ( ( iCurPosX + 1 < m_iWidth ) && (m_apbOccludedRow[m_iCurViewPos][ iCurPosX + 1] ) )
   {
@@ -615,12 +621,4 @@
 
   m_bInOcclusion = iLastSPos >= m_iLastOccludedSPos;
-
-#if GERHARD_RM_HOLE_EXT
-  // RE-RENDER if not filled
-  if (  (     ( ( iLastSPos < m_iLastOccludedSPos) && ( m_apiFilledRow[m_iCurViewPos][ iLastSPos ] != REN_IS_FILLED ) )))
-  {
-    xRemoveHoleExtL(iLastSPos, iEndChangePos+1, iError );
-  }
-#endif
 };
 
@@ -630,10 +628,4 @@
   // GET MINIMAL OCCLUDED SAMPLE POSITION
   Int iCurPosX           = iStartChangePos;
-
-#if GERHARD_RM_HOLE_EXT
-  Int iEndFillSPos = iLastSPos + m_iHoleMargin;
-  while ( (iCurPosX + 1 < m_iWidth) &&  ( xShift(iCurPosX + 1) <= iEndFillSPos) && !(m_apbOccludedRow[m_iCurViewPos][ iCurPosX + 1] ) )
-    iCurPosX++;
-#endif
 
   if ( ( iCurPosX - 1 > -1 ) && (m_apbOccludedRow[m_iCurViewPos][ iCurPosX - 1] ) )
@@ -652,9 +644,5 @@
       m_iLastOccludedSPos = xShift(iCurPosX) - 1;
     }
-#if GERHARD_RM_SPLAT
     m_iLastOccludedSPosFP = xRoundR( m_iLastOccludedSPos );
-#else
-    m_iLastOccludedSPosFP = xRangeLeftR( m_iLastOccludedSPos );
-#endif
   }
   else
@@ -665,12 +653,4 @@
 
   m_bInOcclusion = iLastSPos <= m_iLastOccludedSPos;
-
-#if GERHARD_RM_HOLE_EXT
-  // RE-RENDER if not filled
-  if (  (     ( ( iLastSPos < m_iLastOccludedSPos) && ( m_apiFilledRow[m_iCurViewPos][ iLastSPos ] != REN_IS_FILLED ) )))
-  {
-    xRemoveHoleExtL(iLastSPos, iStartChangePos+1, iError );
-  }
-#endif
 };
 
@@ -752,5 +732,5 @@
     {
       m_iLastOccludedSPos = iLastSPos;
-#if GERHARD_RM_SPLAT
+
       Int iRightSPosFP = xRoundL( iLastSPos );
       if ( ( iRightSPosFP == xRangeRightL(iLastSPos)) && (iRightSPosFP >= 0) )
@@ -760,7 +740,4 @@
       }
       m_iLastOccludedSPosFP = iRightSPosFP;
-#else
-      m_iLastOccludedSPosFP = xRangeLeftL( m_iLastOccludedSPos );
-#endif
 
       m_bInOcclusion = true;
@@ -813,5 +790,4 @@
       m_iLastOccludedSPos = iLastSPos;
 
-#if GERHARD_RM_SPLAT
       Int iLeftSPosFP = xRoundR( iLastSPos );
       if ( ( iLeftSPosFP == xRangeLeftR(iLastSPos)) && (iLeftSPosFP <= m_iWidth - 1) )
@@ -821,5 +797,4 @@
       }
       m_iLastOccludedSPosFP = iLeftSPosFP;
-#endif
 
       m_bInOcclusion = true;
@@ -862,6 +837,4 @@
 }
 
-
-
 __inline Void
 TRenSingleModel::xFillHoleL( Int iCurSPos, Int iLastSPos, Int iCurPos, RMDist& riError )
@@ -874,51 +847,8 @@
   Int iLastPos      = iCurPos + 1;
 
-#if GERHARD_RM_HOLE_EXT
-  Int iErrorCorrection = 0;
-  Int iLastPosInNewData = iLastPos - m_iStartChangePosX;
-  Int iEndFillSPos   = iLastSPos + m_iHoleMargin;
-  ////////// Go back hole margin width and correct error  ///////
-  while( ( (iLastPos+1) < m_iWidth) && (iLastSPos > iEndFillSPos) )
-  {
-    iCurPos++;
-    iLastPos++;
-    iLastPosInNewData++;
-    iCurSPos = iLastSPos;
-
-    iLastSPos = xShift( iLastPos, iLastPosInNewData);
-
-    if ( iLastSPos < 0        ) iLastSPos = 0;
-    if ( iLastSPos >= m_iWidth ) iLastSPos = m_iWidth-1;
-
-    Int iDiff = iLastSPos - iCurSPos;
-
-    // Stop if other hole begins, or if position is occluded
-    if (iDiff > 2  || iLastSPos >= Min( iEndFillSPos, m_iLastOccludedSPos ) || iCurSPos == 0)
-    {
-      iCurPos--;
-      iLastPos--;
-      iLastPosInNewData--;
-      iLastSPos = iCurSPos;
-      iCurSPos = xShift( iCurPos, iLastPosInNewData-1);
-      break;
-    }
-
-    if ( !m_bSet )
-    {
-      xRenderShiftedRangeL(iCurSPos, iLastSPos, iCurPos, iLastPos, iErrorCorrection );
-    }
-  }
-
-  riError -= iErrorCorrection;
-
-  ////////// Fill enlarged hole  ///////
-#endif
-
   Int iStartFillSPosFP = xRangeLeftL(iStartFillSPos);
 
-#if GERHARD_RM_SPLAT
   if (iStartFillSPosFP == xRoundL(iStartFillSPos))
   {
-#endif
     if ((iStartFillSPosFP >= 0) && (iStartFillSPosFP < m_iLastOccludedSPosFP) )
     {
@@ -926,5 +856,4 @@
       xSetShiftedPel     ( iStartFillPos << m_iShiftPrec, iStartFillSPosFP, REN_IS_FILLED, riError );
     }
-#if GERHARD_RM_SPLAT
   }
   else
@@ -932,5 +861,4 @@
     iStartFillSPosFP--;
   }
-#endif
 
   m_iThisDepth = m_iLastDepth;
@@ -951,52 +879,8 @@
   Int iLastPos       = iCurPos - 1;
 
-
-#if GERHARD_RM_HOLE_EXT
-  Int iErrorCorrection = 0;
-  Int iLPosInNewData = iLastPos - m_iStartChangePosX;
-  Int iEndFillSPos   = iLastSPos + m_iHoleMargin;
-  ////////// Go back hole margin width and correct error  ///////
-  while( ( (iLastPos+1) < m_iWidth) && (iLastSPos > iEndFillSPos) )
-  {
-    iCurPos++;
-    iLastPos++;
-    iLPosInNewData++;
-    iCurSPos = iLastSPos;
-
-    iLastSPos = xShift( iLastPos, iLPosInNewData);
-
-    if ( iLastSPos < 0        ) iLastSPos = 0;
-    if ( iLastSPos >= m_iWidth ) iLastSPos = m_iWidth-1;
-
-    Int iDiff = iLastSPos - iCurSPos;
-
-    // Stop if other hole begins, or if position is occluded
-    if (iDiff > 2  || iLastSPos >= Min( iEndFillSPos, m_iLastOccludedSPos ) || iCurSPos == 0)
-    {
-      iCurPos--;
-      iLastPos--;
-      iLPosInNewData--;
-      iLastSPos = iCurSPos;
-      iCurSPos = xShift( iCurPos, iLPosInNewData-1);
-      break;
-    }
-
-    if ( !m_bSet )
-    {
-      xRenderShiftedRangeL(iCurSPos, iLastSPos, iCurPos, iLastPos, iErrorCorrection );
-    }
-  }
-
-  riError -= iErrorCorrection;
-
-  ////////// Fill enlarged hole  ///////
-#endif
-
   Int iStartFillSPosFP = xRangeRightR(iStartFillSPos);
 
-#if GERHARD_RM_SPLAT
   if (iStartFillSPosFP == xRoundR(iStartFillSPos))
   {
-#endif
     if ((iStartFillSPosFP < m_iWidth) && (iStartFillSPosFP > m_iLastOccludedSPosFP) )
     {
@@ -1004,5 +888,4 @@
       xSetShiftedPel( iEndFillPos << m_iShiftPrec, iStartFillSPosFP, REN_IS_FILLED, riError );
     }
-#if GERHARD_RM_SPLAT
   }
   else
@@ -1010,5 +893,4 @@
     iStartFillSPosFP++;
   }
-#endif
 
   m_iThisDepth = m_iLastDepth;
@@ -1018,59 +900,4 @@
   }
 }
-
-#if GERHARD_RM_HOLE_EXT
-Void TRenSingleModel::xRemoveHoleExtL( Int iShiftedLeftPos,  Int iLeftPos, Int& riError )
-{
-  if (iShiftedLeftPos < 0 || iShiftedLeftPos == (m_iWidth - 1) )
-    return;
-
-  Int iStartRemovePos      = iLeftPos;
-  Int iEndRemoveSPos = iShiftedLeftPos + m_iHoleMargin;
-  Int iRightPos            = iLeftPos + 1;
-
-  Int iShiftedRightPos;
-
-  ////////// Go back hole margin width ///////
-  while(  iRightPos  < m_iWidth )
-  {
-    iShiftedRightPos = xShift(iRightPos);
-
-    if ( iShiftedRightPos < 0         ) iShiftedRightPos = 0;
-    if ( iShiftedRightPos >= m_iWidth ) iShiftedRightPos = m_iWidth-1;
-
-    Int iDiff = iShiftedRightPos - iShiftedLeftPos;
-
-    // Stop if other hole begins, or if position is occluded
-    if ( iDiff > 2 || iShiftedRightPos >= m_iLastOccludedSPos )
-    {
-      // Go back one
-      iShiftedRightPos = iShiftedLeftPos;
-      iRightPos--;
-      iLeftPos--;
-      iShiftedLeftPos = xShift(iLeftPos);
-      break;
-    }
-
-    if  ( (iShiftedRightPos > iEndRemoveSPos)  )
-    {
-      break;
-    }
-
-    iShiftedLeftPos = iShiftedRightPos;
-    iLeftPos++;
-    iRightPos++;
-  }
-
-  ////////// Remove Hole margin  ///////
-  while( iLeftPos >= iStartRemovePos )
-  {
-    xRenderShiftedRangeL(iShiftedLeftPos, iShiftedRightPos, iLeftPos, iRightPos, riError );
-    iLeftPos--;
-    iRightPos--;
-    iShiftedRightPos = iShiftedLeftPos;
-    iShiftedLeftPos  = xShift(iLeftPos);
-  }
-}
-#endif
 
 __inline Void
@@ -1266,5 +1093,5 @@
   {
     m_aapiSynthVideoPelRow[m_iCurViewPos][0][iTargetSPos] = m_aapiBaseVideoPelRow[m_iCurViewPos][0][iSourcePos];
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     m_aapiSynthVideoPelRow[m_iCurViewPos][1][iTargetSPos] = m_aapiBaseVideoPelRow[m_iCurViewPos][1][iSourcePos];
     m_aapiSynthVideoPelRow[m_iCurViewPos][2][iTargetSPos] = m_aapiBaseVideoPelRow[m_iCurViewPos][2][iSourcePos];
@@ -1272,5 +1099,5 @@
     m_apiFilledRow        [m_iCurViewPos]   [iTargetSPos] = iFilled;
     Int iDiffY = m_aapiRefVideoPelRow    [0][iTargetSPos] - m_aapiSynthVideoPelRow[m_iCurViewPos][0][iTargetSPos];
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     Int iDiffU = m_aapiRefVideoPelRow    [1][iTargetSPos] - m_aapiSynthVideoPelRow[m_iCurViewPos][1][iTargetSPos];
     Int iDiffV = m_aapiRefVideoPelRow    [2][iTargetSPos] - m_aapiSynthVideoPelRow[m_iCurViewPos][2][iTargetSPos];
@@ -1284,5 +1111,5 @@
     Int iSDOld   = m_apiErrorRow            [iTargetSPos];
     Int iDiffY   = m_aapiRefVideoPelRow  [0][iTargetSPos] - m_aapiBaseVideoPelRow [m_iCurViewPos][0][iSourcePos];
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     Int iDiffU   = m_aapiRefVideoPelRow  [1][iTargetSPos] - m_aapiBaseVideoPelRow [m_iCurViewPos][1][iSourcePos];
     Int iDiffV   = m_aapiRefVideoPelRow  [2][iTargetSPos] - m_aapiBaseVideoPelRow [m_iCurViewPos][2][iSourcePos];
@@ -1305,5 +1132,5 @@
 
   Pel piBlendedValueY;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
   Pel piBlendedValueU;
   Pel piBlendedValueV;
@@ -1316,5 +1143,5 @@
       m_aapiBaseVideoPelRow                                    [0][0][iSourcePos ]  ,
       m_aapiSynthVideoPelRow                                   [1][0][iTargetSPos]  ,
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
       m_aapiBaseVideoPelRow                                    [0][1][iSourcePos ]  ,
       m_aapiSynthVideoPelRow                                   [1][1][iTargetSPos]  ,
@@ -1327,5 +1154,5 @@
       m_apiFilledRow                                           [1]   [iTargetSPos]  ,
       piBlendedValueY
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     , piBlendedValueU,
       piBlendedValueV
@@ -1338,5 +1165,5 @@
       m_aapiSynthVideoPelRow                                   [0][0][iTargetSPos],
       m_aapiBaseVideoPelRow                                    [1][0][iSourcePos ],
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
       m_aapiSynthVideoPelRow                                   [0][1][iTargetSPos],
       m_aapiBaseVideoPelRow                                    [1][1][iSourcePos ],
@@ -1349,5 +1176,5 @@
       iFilled                                                                     ,
       piBlendedValueY
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     , piBlendedValueU,
       piBlendedValueV
@@ -1361,5 +1188,5 @@
     m_aapiSynthVideoPelRow[m_iCurViewPos][0][iTargetSPos] = m_aapiBaseVideoPelRow[m_iCurViewPos][0][iSourcePos];
     m_aapiSynthVideoPelRow[2            ][0][iTargetSPos] = piBlendedValueY;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     m_aapiSynthVideoPelRow[m_iCurViewPos][1][iTargetSPos] = m_aapiBaseVideoPelRow[m_iCurViewPos][1][iSourcePos];
     m_aapiSynthVideoPelRow[2            ][1][iTargetSPos] = piBlendedValueU;
@@ -1370,5 +1197,5 @@
 
     Int iDiffY = m_aapiRefVideoPelRow    [0][iTargetSPos] - piBlendedValueY;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     Int iDiffU = m_aapiRefVideoPelRow    [1][iTargetSPos] - piBlendedValueU;
     Int iDiffV = m_aapiRefVideoPelRow    [2][iTargetSPos] - piBlendedValueV;
@@ -1382,5 +1209,5 @@
     Int iSDOld   = m_apiErrorRow            [iTargetSPos];
     Int iDiffY = m_aapiRefVideoPelRow    [0][iTargetSPos] - piBlendedValueY;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     Int iDiffU = m_aapiRefVideoPelRow    [1][iTargetSPos] - piBlendedValueU;
     Int iDiffV = m_aapiRefVideoPelRow    [2][iTargetSPos] - piBlendedValueV;
@@ -1411,5 +1238,5 @@
 }
 
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
 __inline Void
 TRenSingleModel::xGetBlendedValue( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
@@ -1423,9 +1250,17 @@
     if (m_iBlendMode == 1 )
     {
+#if HHI_VSO_COLOR_PLANES
       xGetBlendedValueBM1(  iYL,  iYR,  iUL,  iUR,  iVL,  iVR,  iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY,  riU, riV );
+#else
+      xGetBlendedValueBM1(  iYL,  iYR,  iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY );
+#endif
     }
     else
     {
+#if HHI_VSO_COLOR_PLANES
       xGetBlendedValueBM2(  iYL,  iYR,  iUL,  iUR,  iVL,  iVR,  iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY,  riU, riV );
+#else
+      xGetBlendedValueBM2(  iYL,  iYR, iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY );
+#endif
     }
     return;
@@ -1441,5 +1276,5 @@
       {
         riY = xBlend( iYL, iYR, iFilledR >> 1 );
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU = xBlend( iUL, iUR, iFilledR >> 1 );
         riV = xBlend( iVL, iVR, iFilledR >> 1 );
@@ -1450,5 +1285,5 @@
       {
         riY = xBlend( iYR, iYL, (iFilledL >> 1) );
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU = xBlend( iUR, iUL, (iFilledL >> 1) );
         riV = xBlend( iVR, iVL, (iFilledL >> 1) );
@@ -1458,5 +1293,5 @@
       {
         riY = xBlend( iYR, iYL, m_iBlendDistWeight );
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU = xBlend( iUR, iUL, m_iBlendDistWeight );
         riV = xBlend( iVR, iVL, m_iBlendDistWeight );
@@ -1467,5 +1302,5 @@
     {
       riY = iYL;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
       riU = iUL;
       riV = iVL;
@@ -1475,5 +1310,5 @@
     {
       riY = iYR;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
       riU = iUR;
       riV = iVR;
@@ -1486,5 +1321,5 @@
     {
         riY =  iYR;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU =  iUR;
         riV =  iVR;
@@ -1494,5 +1329,5 @@
     {
         riY =  iYL;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU =  iUL;
         riV =  iVL;
@@ -1505,5 +1340,5 @@
     {
         riY = iYL;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
         riU = iUL;
         riV = iVL;
@@ -1513,5 +1348,5 @@
     {
       riY = iYR;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
       riU = iUR;
       riV = iVR;
@@ -1523,10 +1358,14 @@
 
 __inline Void
+#if HHI_VSO_COLOR_PLANES
 TRenSingleModel::xGetBlendedValueBM1( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
+#else
+TRenSingleModel::xGetBlendedValueBM1( Pel iYL, Pel iYR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY )
+#endif
 {
   if      ( iFilledL == REN_IS_FILLED ||  iFilledR == REN_IS_HOLE )
   {
     riY = iYL;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = iUL;
     riV = iVL;
@@ -1536,5 +1375,5 @@
   {
     riY = iYR;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = iUR;
     riV = iVR;
@@ -1544,5 +1383,5 @@
   {
     riY = xBlend( iYR, iYL, iFilledL );
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = xBlend( iUR, iUL, iFilledL );
     riV = xBlend( iVR, iUL, iFilledL );
@@ -1552,10 +1391,14 @@
 
 __inline Void
+#if HHI_VSO_COLOR_PLANES
 TRenSingleModel::xGetBlendedValueBM2( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
+#else
+TRenSingleModel::xGetBlendedValueBM2( Pel iYL, Pel iYR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY )
+#endif
 {
   if      ( iFilledR == REN_IS_FILLED ||  iFilledL == REN_IS_HOLE )
   {
     riY = iYR;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = iUR;
     riV = iVR;
@@ -1565,5 +1408,5 @@
   {
     riY = iYL;
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = iUL;
     riV = iVL;
@@ -1573,5 +1416,5 @@
   {
     riY = xBlend( iYL, iYR, iFilledR );
-#if GERHARD_RM_COLOR_PLANES
+#if HHI_VSO_COLOR_PLANES
     riU = xBlend( iUL, iUR, iFilledR );
     riV = xBlend( iVL, iUR, iFilledR );
@@ -1580,6 +1423,4 @@
 }
 
-
-
 __inline Pel
 TRenSingleModel::xBlend( Pel pVal1, Pel pVal2, Int iWeightVal2 )
@@ -1587,44 +1428,2 @@
   return pVal1  +  (Pel) (  ( (Int) ( pVal2 - pVal1) * iWeightVal2 + (1 << (REN_VDWEIGHT_PREC - 1)) ) >> REN_VDWEIGHT_PREC );
 }
-
-#if GERHARD_RM_DEBUG_MM
-Bool
-TRenSingleModel::compare( TRenSingleModel* pcRefModel )
-{
-  Bool bNoDirectStop = true;
-  Bool bEqual = true;
-
-  for (Int iBaseView = 0; iBaseView < 2; iBaseView++ )
-  {
-    for (Int iPosY = 0; iPosY < m_iHeight; iPosY++ ) //GT: change to 1 !!! for small tests
-    {
-      for (Int iPosX = 0; iPosX < m_iWidth; iPosX++ )
-      {
-        if (( iBaseView == m_iMode ) || ( m_iMode == 2 ))
-        {
- //         MEV_RF( "imswitch", &mxAW(m_iWidth, m_iHeight, m_aiBaseDepthStrides[iBaseView], m_apiBaseDepthPel  [iBaseView] ), &mxAW(m_iWidth, m_iHeight, pcRefModel->m_aiBaseDepthStrides[iBaseView], pcRefModel->m_apiBaseDepthPel  [iBaseView] ), &mxAW("u" ), 0);
-          bEqual = bEqual && ( m_apiBaseDepthPel  [iBaseView]   [iPosX+iPosY* m_aiBaseDepthStrides[iBaseView]] == pcRefModel->m_apiBaseDepthPel  [iBaseView]   [iPosX+iPosY* pcRefModel->m_aiBaseDepthStrides[iBaseView] ] );AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_apiFilled        [iBaseView]   [iPosX+iPosY*                       m_iStride] == pcRefModel->m_apiFilled        [iBaseView]   [iPosX+iPosY* m_iStride] );                                   AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_piError                        [iPosX+iPosY*                       m_iStride] == pcRefModel->m_piError                        [iPosX+iPosY* m_iStride] );                                   AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_apbOccluded      [iBaseView]   [iPosX+iPosY*                       m_iStride] == pcRefModel->m_apbOccluded      [iBaseView]   [iPosX+iPosY* m_iStride] );                                   AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_aapiSynthVideoPel[iBaseView][0][iPosX+iPosY*                       m_iStride] == pcRefModel->m_aapiSynthVideoPel[iBaseView][0][iPosX+iPosY* m_iStride] );                                   AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_aapiSynthVideoPel[iBaseView][0][iPosX+iPosY*                       m_iStride] >= 0 );                                                                                                       AOF( bNoDirectStop || bEqual );
-          bEqual = bEqual && ( m_aapiSynthVideoPel[iBaseView][0][iPosX+iPosY*                       m_iStride] <= g_uiIBDI_MAX );                                                                                                      AOF( bNoDirectStop || bEqual );
-          if (m_iMode == 2 )
-          {
-            bEqual = bEqual && ( m_apiSynthDepthPel [iBaseView]   [iPosX+iPosY*                       m_iStride] == pcRefModel->m_apiSynthDepthPel [iBaseView]   [iPosX+iPosY* m_iStride] );                                   AOF( bNoDirectStop || bEqual );
-          }
-          //if (!bEqual)
-          //{
-          //  std::cout << "Mismatch in PosX: " << iPosX << " PosY: " << iPosY << std::endl;
-          //  AOF(false);
-          //  exit(55);
-          //}
-        }
-      }
-    }
-  }
-  return bEqual;
-}
-
-#endif
Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
@@ -34,5 +67,5 @@
   Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode );
 
-  // Set Frame dependent datas
+  // Set Frame dependent data
   Void   setLRView ( Int iViewPos, Pel** apiCurVideoPel, Int* aiCurVideoStride, Pel* piCurDepthPel, Int iCurDepthStride );
   Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference );
@@ -51,8 +84,4 @@
   // Get Reference Data
   Void   getRefView  ( TComPicYuv*& rpcPicYuvRefView, Pel**& rppiRefVideoPel, Int*& raiStrides );
-
-#if GERHARD_RM_DEBUG_MM
-  Bool   compare( TRenSingleModel* pcRefModel );
-#endif
 
 private:
@@ -86,11 +115,13 @@
   // Blending
   __inline Void   xSetShiftedPelBlend ( Int iSourcePos, Int iTargetSPos, Pel iFilled, RMDist& riError );
+
+#if HHI_VSO_COLOR_PLANES
+  __inline Void   xGetBlendedValue    ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
   __inline Void   xGetBlendedValueBM1 ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
   __inline Void   xGetBlendedValueBM2 ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
-
-#if GERHARD_RM_COLOR_PLANES
-  __inline Void   xGetBlendedValue    ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
 #else
   __inline Void   xGetBlendedValue    ( Pel iYL,   Pel iYR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY );
+  __inline Void   xGetBlendedValueBM1 ( Pel iYL, Pel iYR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY );
+  __inline Void   xGetBlendedValueBM2 ( Pel iYL, Pel iYR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY );
 #endif
   __inline Pel    xBlend              ( Pel pVal1, Pel pVal2, Int iWeightVal2 );
@@ -110,9 +141,5 @@
   __inline Void   xSetInts   ( Int*  piPelSource , Int iSourceStride, Int iWidth, Int iHeight, Int iVal );
 
-#if GERHARD_RM_DEBUG_MM
-public:
-#else
 private:
-#endif
 
   // Image sizes
Index: trunk/source/Lib/TLibRenderer/TRenTop.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenTop.cpp	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenTop.cpp	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 #include "TRenImage.h"
@@ -879,5 +912,4 @@
 Void TRenTop::xShiftPlanePixels8Tap( PelImagePlane** apcInputPlanes, PelImagePlane* pcDepthPlane, PelImagePlane** apcOutputPlanes, PelImagePlane* pcFilledPlane, UInt uiNumberOfPlanes  )
 {
-
   Bool bRenderDepth = (apcInputPlanes[0] == pcDepthPlane);
 
@@ -1496,20 +1528,4 @@
 }
 
-Void TRenTop::xChangePixels( PelImage* pcDispImage )
-{
-  if (m_uNumelauiChangePixels < 3 )
-  {
-    return;
-  };
-
-  UInt* puiCP = m_auiChangePixels;
-  UInt uiWidth = pcDispImage->getPlane(0)->getWidth();
-
-  for (UInt uiIdx = 0; uiIdx < m_uNumelauiChangePixels; uiIdx+= 3 )
-  {
-    pcDispImage->getPlane(0)->getPlaneData()[ puiCP[ uiIdx ] * uiWidth + puiCP[ uiIdx + 1 ] ] =  puiCP[uiIdx + 2 ];
-  };
-};
-
 
 Void TRenTop::xCutPlaneMargin( PelImagePlane* pcImagePlane, Pel cFill, UInt uiScale )
@@ -1603,16 +1619,8 @@
     Pel* pcLeftImageData   = (*apcLeftPlane)       ->getPlaneData();
 
-    //Int iSumLeft        = 0;
-    //Int iSumRight       = 0;
-    //Int iSumLeftSquare  = 0;
-    //Int iSumRightSquare = 0;
+ 
 
     for (UInt uiYPos = 0; uiYPos < iHeight; uiYPos++ )
     {
-      //Int iRowSumLeft        = 0;
-      //Int iRowSumRight       = 0;
-      //Int iRowSumLeftSquare  = 0;
-      //Int iRowSumRightSquare = 0;
-
       for (UInt uiXPos = 0; uiXPos < iWidth; uiXPos++ )
       {
@@ -1621,9 +1629,4 @@
             aiHistLeft [pcLeftImageData   [uiXPos] ]++;
             aiHistRight[pcRightImageData  [uiXPos] ]++;
-            //iNumElem++;
-            //iRowSumLeft        += ;
-            //iRowSumRight       += pcRightImageData [uiXPos];
-            //iRowSumLeftSquare  += pcLeftImageData  [uiXPos] * pcLeftImageData [uiXPos];
-            //iRowSumRightSquare += pcRightImageData [uiXPos] * pcRightImageData[uiXPos];
           }
       }
@@ -1660,7 +1663,4 @@
     while( iCurChangeVal <= g_uiIBDI_MAX )
     {
-#if 0 //GERHARD_DEBUG
-      std::cout << iCumSumBase << " " << iCumSumChange << " " << iCurBaseVal << " " << iCurChangeVal << std::endl;
-#endif
       if ( iCumSumBase == iCumSumChange )
       {
@@ -1710,6 +1710,4 @@
 delete[] aiHistRight;
 delete[] aiConvLUT  ;
-
-
 }
 
@@ -1892,80 +1890,4 @@
 }
 
-
-Void TRenTop::xReEstimateDisp( Pel* pcInputLeftImageRow, Pel* pcInputRightImageRow, Int iLeftImageStride, Int iRightImageStride, Int iPosX, Pel cLeftDepth, Pel cRightDepth, Int iLut, Pel& rcBestDepth, Int& riBestSAD )
-{
-  Int iHalfBlkSizeMin1 = 3;
-  UInt uiStep = m_iRelShiftLUTPrec;
-
-  AOT(iHalfBlkSizeMin1 > 3);
-
-  Pel cInc = (cRightDepth < cLeftDepth) ? 1 : -1;
-
-  UInt uiBestSAD  = -1;
-
-  for (Pel cCurDepth = cRightDepth; cCurDepth <= cLeftDepth; cCurDepth += cInc )
-  {
-    Int iShiftLeft  = m_ppiShiftLUTLeft [iLut][ RemoveBitIncrement( cCurDepth)];
-    Int iShiftRight = m_ppiShiftLUTLeft [iLut][ RemoveBitIncrement( cCurDepth)];
-
-    Int iShiftedPosLeft  = iPosX - iShiftLeft;
-    Int iShiftedPosRight = iPosX - iShiftRight;
-
-    if ( !(( iShiftedPosLeft < 0 ) || (iShiftedPosLeft >= m_uiSampledWidth) || ( iShiftedPosRight < 0 ) || (iShiftedPosRight >= m_uiSampledWidth)))
-    {
-      Pel* pcCurLeftIm  = pcInputLeftImageRow  - iLeftImageStride  * iHalfBlkSizeMin1 - iHalfBlkSizeMin1*uiStep - iShiftLeft;
-      Pel* pcCurRightIm = pcInputRightImageRow - iRightImageStride * iHalfBlkSizeMin1 - iHalfBlkSizeMin1*uiStep - iShiftRight;
-
-      UInt uiSAD = 0;
-
-      for ( Int iCurPosY= 0; iCurPosY < (iHalfBlkSizeMin1 << 1) + 1; iCurPosY++ )
-      {
-        for ( Int iCurPosX = 0; iCurPosX < (iHalfBlkSizeMin1 << 1) * uiStep + uiStep; iCurPosX += uiStep  )
-        {
-          uiSAD += abs( pcCurLeftIm[iCurPosX] - pcCurRightIm[iCurPosX] );
-        }
-        pcCurLeftIm  += iLeftImageStride;
-        pcCurRightIm += iRightImageStride;
-      }
-
-      if (uiSAD < uiBestSAD)
-      {
-        uiBestSAD = uiSAD;
-        rcBestDepth = cCurDepth;
-      }
-    }
-  }
-}
-
-Int TRenTop::xVSRSHoleCount( Pel* pcFilledData, Int iFilledStride, Int iCenterPosX, Int iCenterPosY )
-{
-  // Counts holes in a 6x6 Block around iPosX and iPosY
-  //GT: currently not supported for rendering in up sampled domain ( padding to less )
-  if ( m_iLog2SamplingFactor > 0 )
-  {
-    return 0;
-  }
-
-  Int iHalfBlkSizeY = 3;
-  Int iHalfBlkSizeX = 3;  // iHalfBlkSizeY * ( 1 << m_iLog2SamplingFactor );
-
-  Int iNumOfHolePels = 0;
-  pcFilledData -= ( iHalfBlkSizeX + iHalfBlkSizeY * iFilledStride );
-
-  for (Int iPosY = 0; iPosY < (iHalfBlkSizeY << 1) + 1; iPosY++)
-  {
-    for (Int iPosX = 0; iPosX < (iHalfBlkSizeX << 1) + 1; iPosX++)
-    {
-      if (*pcFilledData == REN_IS_HOLE)
-      {
-        iNumOfHolePels++;
-      }
-      pcFilledData++;
-    }
-    pcFilledData += iFilledStride;
-  }
-  return iNumOfHolePels;
-}
-
 // Temporal Filter from Zhejiang University: (a little different from m16041: Temporal Improvement Method in View Synthesis)
 Void TRenTop::temporalFilterVSRS( TComPicYuv* pcPicYuvVideoCur, TComPicYuv* pcPicYuvDepthCur, TComPicYuv* pcPicYuvVideoLast, TComPicYuv* pcPicYuvDepthLast, Bool bFirstFrame )
@@ -2095,8 +2017,4 @@
   // PostProcessing
   m_iPostProcMode        = eRenPostProNone;
-
-  //ChangePixels
-  m_auiChangePixels[0] = 0;
-  m_uNumelauiChangePixels = 0;
 
   // Cut
@@ -2211,8 +2129,4 @@
   m_iPostProcMode    = iPostProcMode;
 
-  //ChangePixels
-  m_auiChangePixels[0] = 0;
-  m_uNumelauiChangePixels = 0;
-
   // Used pel map
   m_iUsedPelMapMarExt     = iUsedPelMapMarExt;
@@ -2262,10 +2176,4 @@
 
 
-Void TRenTop::xGetChangePixels( UInt& ruiNumPixels, UInt* & rauiChangePixels )
-{
-  ruiNumPixels = m_uNumelauiChangePixels;
-  rauiChangePixels = m_auiChangePixels;
-}
-
 TRenTop::~TRenTop()
 {
Index: trunk/source/Lib/TLibRenderer/TRenTop.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenTop.h	(revision 2)
+++ trunk/source/Lib/TLibRenderer/TRenTop.h	(revision 5)
@@ -1,2 +1,35 @@
+/* The copyright in this software is being made available under the BSD
+ * License, included below. This software may be subject to other third party
+ * and contributor rights, including patent rights, and no such rights are
+ * granted under this license.
+ *
+ * Copyright (c) 2010-2011, ISO/IEC
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ *
+ *  * Redistributions of source code must retain the above copyright notice,
+ *    this list of conditions and the following disclaimer.
+ *  * Redistributions in binary form must reproduce the above copyright notice,
+ *    this list of conditions and the following disclaimer in the documentation
+ *    and/or other materials provided with the distribution.
+ *  * Neither the name of the ISO/IEC nor the names of its contributors may
+ *    be used to endorse or promote products derived from this software without
+ *    specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+ * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
+ * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+ * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+ * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+ * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
+ * THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 
 
@@ -126,5 +159,4 @@
   Void xBlendPlanesAvg           ( PelImagePlane** apcLeftPlane, PelImagePlane** apcRightPlane, PelImagePlane* pcFilledLeftPlane, PelImagePlane* pcFilledRightPlane, PelImagePlane* pcLeftDepthPlane, PelImagePlane* pcRightDepthPlane, PelImagePlane** apcOutputImagePlane, UInt uNumPlanes );
   Void xBlendPlanesOneView       ( PelImagePlane** apcLeftPlane, PelImagePlane** apcRightPlane, PelImagePlane* pcFilledLeftPlane, PelImagePlane* pcFilledRightPlane, PelImagePlane* pcLeftDepthPlane, PelImagePlane* pcRightDepthPlane, PelImagePlane** apcOutputImagePlane, UInt uNumPlanes );
-  Int  xVSRSHoleCount            ( Pel* pcFilledData, Int iFilledStride, Int iCenterPosX, Int iCenterPosY );
 
   // PostProcessing
@@ -132,9 +164,4 @@
   Void xCutPlaneMargin           ( PelImagePlane* pcImagePlane, Pel cFill, UInt uiScale);
   Void xPostProcessImage         ( PelImage* pcInImage,       PelImage* pCOutImage);
-
-  // Others
-  Void xChangePixels             ( PelImage* pcDispImage );
-  Void xGetChangePixels          ( UInt& ruiNumPixels, UInt* & rauiChangePixels );
-  Void xReEstimateDisp           ( Pel* pcInputLeftImageRow,  Pel* pcInputRightImageRow, Int iLeftImageStride, Int iRightImageStride, Int iPosX, Pel cLeftDepth, Pel cRightDepth, Int iLut, Pel& rcBestDepth, Int& riBestSAD );
 
   // Input Output Data Conversion
@@ -191,7 +218,5 @@
   Int  m_iRelShiftLUTPrec;
 
-  // Change Pixels and Cut
-  UInt m_auiChangePixels[2000];
-  UInt m_uNumelauiChangePixels;
+  // Cut
   UInt m_auiCut[2];
 
